Bug 979682 - [abrt] xfce4-panel-4.10.1-1.fc18: gdk_x_error: Process /usr/lib64/xfce4/panel/wrapper was killed by signal 5 (SIGTRAP)
[abrt] xfce4-panel-4.10.1-1.fc18: gdk_x_error: Process /usr/lib64/xfce4/panel...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:c7707f0d99d840e555ea50e4968...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 07:10 EDT by sabugiense
Modified: 2015-06-29 20:39 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 20:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.19 KB, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: core_backtrace (2.58 KB, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: dso_list (7.87 KB, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: environ (1.66 KB, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: maps (34.76 KB, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: open_fds (282 bytes, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
File: var_log_messages (324 bytes, text/plain)
2013-06-29 07:10 EDT, sabugiense
no flags Details
Full abrt report for comment 979682#c16 (492.63 KB, application/x-bzip)
2014-01-23 02:50 EST, Lukas Slebodnik
no flags Details

  None (edit)
Description sabugiense 2013-06-29 07:10:02 EDT
Version-Release number of selected component:
xfce4-panel-4.10.1-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 3
cmdline:        /usr/lib64/xfce4/panel/wrapper /usr/lib64/xfce4/panel/plugins/libsystray.so 6 20971553 systray '\xc3\x81rea de notifica\xc3\xa7\xc3\xa3o' '\xc3\x81rea onde os \xc3\xadcones de notifica\xc3\xa7\xc3\xa3o aparecem' ''
crash_function: gdk_x_error
executable:     /usr/lib64/xfce4/panel/wrapper
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: (wrapper:1299): Gdk-ERROR **: The program 'wrapper' received an X Window System error.

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 gdk_x_error at /lib64/libgdk-x11-2.0.so.0
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #7 XInternAtom at IntAtom.c:181
 #8 gdk_x11_atom_to_xatom_for_display at /lib64/libgdk-x11-2.0.so.0
 #9 _gtk_xembed_push_message at /lib64/libgtk-x11-2.0.so.0
 #10 ??
 #11 ??
Comment 1 sabugiense 2013-06-29 07:10:07 EDT
Created attachment 766836 [details]
File: backtrace
Comment 2 sabugiense 2013-06-29 07:10:10 EDT
Created attachment 766837 [details]
File: cgroup
Comment 3 sabugiense 2013-06-29 07:10:13 EDT
Created attachment 766838 [details]
File: core_backtrace
Comment 4 sabugiense 2013-06-29 07:10:16 EDT
Created attachment 766839 [details]
File: dso_list
Comment 5 sabugiense 2013-06-29 07:10:20 EDT
Created attachment 766840 [details]
File: environ
Comment 6 sabugiense 2013-06-29 07:10:23 EDT
Created attachment 766841 [details]
File: limits
Comment 7 sabugiense 2013-06-29 07:10:27 EDT
Created attachment 766842 [details]
File: maps
Comment 8 sabugiense 2013-06-29 07:10:30 EDT
Created attachment 766843 [details]
File: open_fds
Comment 9 sabugiense 2013-06-29 07:10:33 EDT
Created attachment 766844 [details]
File: proc_pid_status
Comment 10 sabugiense 2013-06-29 07:10:36 EDT
Created attachment 766845 [details]
File: var_log_messages
Comment 11 Kevin Fenzi 2013-06-29 11:51:03 EDT
What were you doing when this happened?

Can you duplicate it?
Comment 12 Erik P. Olsen 2013-07-26 00:56:43 EDT
Happens to me during boot.
Comment 13 Peter H. Jones 2013-09-06 12:14:22 EDT
Happened to me in F19 during boot.
Comment 14 markusN 2013-09-09 08:27:52 EDT
It does not happen during resume from suspend but 
happens after login after powercylce boot when XFCE comes up for the user.
Comment 15 Fedora End Of Life 2013-12-21 10:34:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Lukas Slebodnik 2014-01-22 15:30:58 EST
There is also crash on the Fedora 20

Top frames from backtrace:
#0  0x0000003b71a504e9 in g_logv (log_domain=0x306607efa6 "Gdk", log_level=G_LOG_LEVEL_ERROR, format=<optimized out>, args=args@entry=0x7fff3ac279a0) at gmessages.c:989
        domain = 0x0
        data = 0x0
        depth = 1
        log_func = 0x3b71a4fc80 <g_log_default_handler>
        domain_fatal_mask = <optimized out>
        masquerade_fatal = 0
        test_level = <optimized out>
        was_fatal = <optimized out>
        was_recursion = <optimized out>
        msg = 0x20fa140 "The program 'wrapper' received an X Window System error.\nThis probably reflects a bug in the program.\nThe error was 'BadWindow (invalid Window parameter)'.\n  (Details: serial 269 error_code 3 request_"...
        msg_alloc = 0x20fa140 "The program 'wrapper' received an X Window System error.\nThis probably reflects a bug in the program.\nThe error was 'BadWindow (invalid Window parameter)'.\n  (Details: serial 269 error_code 3 request_"...
        i = 2
#1  0x0000003b71a5063f in g_log (log_domain=log_domain@entry=0x306607efa6 "Gdk", log_level=log_level@entry=G_LOG_LEVEL_ERROR, format=format@entry=0x306609daf4 "%s") at gmessages.c:1025
        args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff3ac27a80, reg_save_area = 0x7fff3ac279c0}}
#2  0x000000306606866b in gdk_x_error (display=<optimized out>, error=<optimized out>) at gdkmain-x11.c:486
        buf = "BadWindow (invalid Window parameter)", '\000' <repeats 27 times>
        msg = <optimized out>

I can provide full abrt report if you want.
Comment 17 Lukas Slebodnik 2014-01-22 15:34:14 EST
I forgot to mention version of the package:
bash$ rpm -q xfce4-panel
xfce4-panel-4.10.1-3.fc20.x86_64
Comment 18 Kevin Fenzi 2014-01-22 19:15:13 EST
Lukas: If you can attach the full backtrace that would help... the top few there isn't enough to really see where it's dying. ;( 

Thanks.
Comment 19 Lukas Slebodnik 2014-01-23 02:50:14 EST
Created attachment 854240 [details]
Full abrt report for comment 979682#c16

Thank you very much for fast response.

In my experience, I know it is better to analyse coredump than backtrace.
I hope it helps you to solve problem.
Comment 20 Fedora End Of Life 2015-05-29 05:08:36 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Fedora End Of Life 2015-06-29 20:39:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.